Bug 323048 - [patch] Syntax highlighting incorrect in LaTeX
Summary: [patch] Syntax highlighting incorrect in LaTeX
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: Git
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL: https://bugs.launchpad.net/ubuntu/+so...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-31 15:52 UTC by Michael
Modified: 2013-08-01 08:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments
A patch to fix the broken syntax highlighting (2.12 KB, patch)
2013-07-31 15:53 UTC, Michael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 2013-07-31 15:52:17 UTC
The following code, when pasted into the Kile editor (via Katepart), highlights the second "cases" wrong:

\begin{align}
 U_{bg}(z) = \begin{cases}
              U_{max} e^{-(b(z-z_0))^4} &\mbox {if } z \leq z_0,\\
              U_{max} &\mbox {if } z > z_0,\\
             \end{cases}
\end{align}

Reproducible: Always

Steps to Reproduce:
1. Paste above code into Kate, 
2. select Tools->Highlighting->Markup->Latex
3.
Actual Results:  
The second "cases" is green

Expected Results:  
The second "cases" should be blue
Comment 1 Michael 2013-07-31 15:53:32 UTC
Created attachment 81484 [details]
A patch to fix the broken syntax highlighting
Comment 2 Dominik Haumann 2013-08-01 08:18:05 UTC
Git commit 4afa72930126f7241aa7eb54307f80db1509d4e7 by Dominik Haumann.
Committed on 01/08/2013 at 08:17.
Pushed by dhaumann into branch 'master'.

fix cases environment highlighting

Thanks to Michael for the patch!
FIXED-IN: 4.11.1

M  +10   -1    examples/syntax/highlight.tex
M  +3    -3    part/syntax/data/latex.xml

http://commits.kde.org/kate/4afa72930126f7241aa7eb54307f80db1509d4e7
Comment 3 Dominik Haumann 2013-08-01 08:18:40 UTC
Git commit 76ef0c074b7dd85dfe5e7bb45e9f0ba3cf999efc by Dominik Haumann.
Committed on 01/08/2013 at 08:17.
Pushed by dhaumann into branch 'KDE/4.11'.

fix cases environment highlighting

Thanks to Michael for the patch!
FIXED-IN: 4.11.1

M  +10   -1    examples/syntax/highlight.tex
M  +3    -3    part/syntax/data/latex.xml

http://commits.kde.org/kate/76ef0c074b7dd85dfe5e7bb45e9f0ba3cf999efc